Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.enhancer
Class DoubleEnhanceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.enhancer.DoubleEnhanceException

All Implemented Interfaces:
  Serializable

    public class DoubleEnhanceException

extends CayenneRuntimeException

An exception thrown from within enhancer visitors to indicate that the class is already enhanced and enhancement run should be stopped.

Since:
  3.0
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Constructor Summary
`DoubleEnhanceException()`
`DoubleEnhanceException(String message)`
`DoubleEnhanceException(String message, Throwable cause)`
`DoubleEnhanceException(Throwable cause)`

Method Summary

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleEnhanceException

    public DoubleEnhanceException()

### DoubleEnhanceException

    public DoubleEnhanceException(String message)

### DoubleEnhanceException

    public DoubleEnhanceException(Throwable cause)

### DoubleEnhanceException

    public DoubleEnhanceException(String message,
                                  Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.